#ifndef __NT2__CORE__DEFINITION__AST__VALIDATE_HPP__INCLUDED
#define __NT2__CORE__DEFINITION__AST__VALIDATE_HPP__INCLUDED

////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2003-2008 LASMEA UMR 6602 du CNRS.
// Copyright (c) 2007-2008 IEF    UMR 8622 du CNRS.
// All rights reserved.
//
// License information are available in the LICENSE file.
// Additionnal informations are available in the INFOS file.
////////////////////////////////////////////////////////////////////////////////

#include <boost/proto/proto.hpp>

namespace nt2
{
  namespace bp = boost::proto;

  ////////////////////////////////////////////////////////////////////////////
  // SFINAE Helper
  ////////////////////////////////////////////////////////////////////////////
  template< class X,class G
          , bool Enable = bp::matches<typename X::type ,G>::value
          > struct validate;

  template< class X,class G> struct validate<X,G,true>
  {
    typedef typename X::type type;
  };
}

#endif
