#ifndef __NT2__CORE__DEFINITION__CONTAINER__DIMEN__DIMEN_HPP__INCLUDED
#define __NT2__CORE__DEFINITION__CONTAINER__DIMEN__DIMEN_HPP__INCLUDED

////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2003-2008 LASMEA UMR 6602 du CNRS.
// Copyright (c) 2007-2008 IEF    UMR 8622 du CNRS.
// All rights reserved.
//
// License information are available in the LICENSE file.
// Additionnal informations are available in the INFOS file.
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// A NT2 entity is defined by :
//  - its proto grammar
//  - its proto contex
//  - its proto entity
//  - its terminal extension.
//
// Inter-operabiliy is assumed as long as proper expression type is used.
// Other functions are built using those proto generated elements
////////////////////////////////////////////////////////////////////////////////

#include <nt2/core/definition/container/dimen/inner.hpp>
#include <nt2/core/definition/container/dimen/grammar.hpp>
#include <nt2/core/definition/container/dimen/context.hpp>
#include <nt2/core/definition/container/dimen/expression.hpp>
#include <nt2/core/definition/container/dimen/entity.hpp>
#include <nt2/core/definition/container/dimen/io.hpp>

#endif
