#ifndef __NT2__CORE__DEFINITION__AST__LAMBDA_HPP__INCLUDED
#define __NT2__CORE__DEFINITION__AST__LAMBDA_HPP__INCLUDED

////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2003-2008 LASMEA UMR 6602 du CNRS.
// Copyright (c) 2007-2008 IEF    UMR 8622 du CNRS.
// All rights reserved.
//
// License information are available in the LICENSE file.
// Additionnal informations are available in the INFOS file.
////////////////////////////////////////////////////////////////////////////////

#include <boost/proto/proto.hpp>
#include <boost/proto/transform.hpp>

namespace nt2
{
  ////////////////////////////////////////////////////////////////////////////
  // Generic 'terminal with given traits' grammar
  ////////////////////////////////////////////////////////////////////////////
  template<class Lambda>
  struct lambda_grammar : bp::and_< bp::terminal<bp::_>
                                  , bp::if_< bm::apply1<Lambda,bp::_value>()>
                                  > {};

}

#endif


